=== debian/watch ===
version=3
http://ftp.debian.org/debian/pool/main/g/gcc-4.5/gcc-4\.5_(.*)\.orig\.tar\.gz
