## gcc-mingw-w64 0.3

=== debian/changelog ===
gcc-mingw-w64 (0.3) unstable; urgency=low

  * Ship libiberty (Closes: #626117).
  * Enable fully dynamic strings (Closes: #626956).
  * Switch to gcc 4.6.
  * Install the LTO plugin (Closes: #625901).
  * Require binutils 2.21.51.20110523 to avoid LTO-related segfaults (see
    http://sourceware.org/bugzilla/show_bug.cgi?id=12693 for details).
  * Avoid attempting to build libstdc++-pic.a.
  * Drop leading "The" from the package description.
  * Strip the libraries.
  * Build-depend on libcloog-ppl-dev to enable extra optimisations.
  * Link with "--as-needed" to limit dependencies to those actually
    needed.

 -- Stephen Kitt <steve@sk2.org>  Tue, 31 May 2011 23:40:07 +0200
