=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,20 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# Build gcc-mingw-w64 using gcc-4.5-source.
+# Build gcc-mingw-w64 using gcc-4.6-source.
 # Copyright © 2010 Stephen Kitt <steve@sk2.org>
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+target_version := 4.6
+
 top_dir := $(shell pwd)
-gcc_dir := /usr/src/gcc-4.5
+gcc_dir := /usr/src/gcc-$(target_version)
 upstream_dir := $(top_dir)/src
 build_dir := $(top_dir)/build
 stampdir := $(top_dir)/stamp
-deb_version := $(shell dpkg-query -W -f="\$${Version}\n" gcc-4.5-source)
+deb_version := $(shell dpkg-query -W -f="\$${Version}\n" gcc-$(target_version)-source)
 deb_upstream_version := $(shell echo $(deb_version) | cut -d- -f1)
-gnu_upstream_version := $(shell echo $(deb_upstream_version) | cut -d. -f1-3)
 base_version := $(shell echo $(deb_version) | sed -e 's/\([1-9]\.[0-9]\).*-.*/\1/')
 
 # Include the rules variant - symlink rules.bootstrap to produce the
@@ -25,6 +26,10 @@
 
 CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
 CFLAGS += -Wall
+export CFLAGS
+LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
+LDFLAGS += -Wl,--as-needed
+export LDFLAGS
 
 # Number of jobs to run for build
 ifeq ($(USE_NJOBS),no)
@@ -60,14 +65,14 @@
 
 unpack: $(unpack_stamp)
 $(unpack_stamp):
-	tar xf $(gcc_dir)/gcc-$(gnu_upstream_version)-dfsg.tar.*
+	tar xf $(gcc_dir)/gcc-*.tar.*
 	rm -rf $(upstream_dir)
 	mv gcc-$(deb_upstream_version) $(upstream_dir)
-	mkdir -p $(stampdir)
-	touch $@
-	# Apply our extra patch here...
+	# Apply our extra patches here...
 	patch -p0 < debian/patches/mingw-include.patch
 	patch -p0 < debian/patches/disable-multilib.patch
+	mkdir -p $(stampdir)
+	touch $@
 
 clean:
 	dh_testdir
@@ -105,11 +110,18 @@
 #CONFFLAGS = --disable-shared --disable-multilib --prefix=/usr --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-languages=c,c++,fortran --with-gnu-ld --with-gnu-as --enable-leading-mingw64-underscores
 # LTO
 CONFFLAGS += \
-	--enable-lto
-
+	--enable-lto \
+	--with-plugin-ld
+# Dynamic strings (as used upstream)
+CONFFLAGS += \
+	--enable-fully-dynamic-string
+
+configure: configure-stamp
 configure-stamp: $(patch_stamp)
 	dh_testdir
 	set -e; \
+	# Remove the patch building libstdc++_pic.a before configuring
+	patch -R -p2 -dsrc < $(gcc_dir)/debian/patches/libstdc++-pic.diff
 	for target in $(targets); do \
 		dh_auto_configure -B$(build_dir)/$$target -D$(upstream_dir) -- \
 			$(CONFFLAGS) \
@@ -140,13 +152,13 @@
 	done
 
 	# Remove files which conflict with other packages
-	# gcc-4.5-locales
+	# gcc-$(target_version)-locales
 	rm -rf $(top_dir)/debian/$(package)/usr/share/locale
 	# binutils-dev
 	rm -f $(top_dir)/debian/$(package)/usr/lib/libiberty.a
-	# libstdc++6-4.5-dbg (potentially)
-	rm -rf $(top_dir)/debian/$(package)/usr/share/gcc-$(gnu_upstream_version)/python
-	# libstdc++6-4.6-dev
+	# libstdc++6-$(target_version)-dbg (potentially)
+	rm -rf $(top_dir)/debian/$(package)/usr/share/gcc-*/python
+	# libstdc++6-$(target_version)-dev
 	ls -1 $(top_dir)/debian/$(package)/usr/include/c++/$(base_version)/|grep -v w64-mingw32|xargs -I{} rm -rf $(top_dir)/debian/$(package)/usr/include/c++/$(base_version)/{}
 	# -doc packages
 	rm -rf $(top_dir)/debian/$(package)/usr/share/info
@@ -155,21 +167,20 @@
 	# No need to ship empty manpages
 	rm -rf $(top_dir)/debian/$(package)/usr/share/man/man1
 
-	# We don't need libiberty
-	rm -f $(patsubst %,$(top_dir)/debian/$(package)/$(PF)/%/lib/libiberty.a,$(targets))
-
 	# Drop .la files
-	rm -f $(patsubst %,$(top_dir)/debian/$(package)/$(PF)/lib/gcc/%/$(gnu_upstream_version)/*.la,$(targets))
+	find $(top_dir)/debian/$(package) -name \*.la -delete
 
 	# Move libraries to base directories and add version-specific links
-ifneq ($(base_version),$(gnu_upstream_version))
-	[ -d $(top_dir)/debian/$(package)/usr/include/c++ ] && cd $(top_dir)/debian/$(package)/usr/include/c++ && ln -s $(base_version) $(gnu_upstream_version) || true
-	for target in $(targets); do \
-		cd $(top_dir)/debian/$(package)/$(PF)/lib/gcc/$$target && \
-		mv $(gnu_upstream_version) $(base_version) && \
-		ln -s $(base_version) $(gnu_upstream_version); \
-	done
-endif
+	for gnu_upstream_version in $$(basename debian/gcc-mingw-w64/usr/share/gcc-*|cut -d- -f2); do \
+		if [ "$$gnu_upstream_version" != "$(base_version)" ]; then \
+			[ -d $(top_dir)/debian/$(package)/usr/include/c++ ] && cd $(top_dir)/debian/$(package)/usr/include/c++ && ln -s $(base_version) $$gnu_upstream_version || true; \
+			for target in $(targets); do \
+				cd $(top_dir)/debian/$(package)/$(PF)/lib/gcc/$$target && \
+				mv $$gnu_upstream_version $(base_version) && \
+				ln -s $(base_version) $$gnu_upstream_version; \
+			done; \
+		fi; \
+	done
 
 	for i in 1 2; do \
 		find $(top_dir)/debian/$(package)/ -type d -empty | while read i; do rmdir $$i; done; \
@@ -184,7 +195,16 @@
 	dh_installdocs
 	dh_installman
 	dh_installchangelogs $(upstream_dir)/ChangeLog
+	# Strip the binaries
 	dh_strip -Xw64-mingw32/lib -Xw64-mingw32/$(base_version)/lib
+	# Special processing for the libraries
+ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
+	strip --remove-section=.comment --remove-section=.note --strip-unneeded $(patsubst %,$(top_dir)/debian/$(package)/usr/lib/gcc/%/$(target_version)/liblto_plugin.so.0.0.0,$(targets))
+	for target in $(targets); do \
+		$$target-strip --strip-unneeded $(top_dir)/debian/$(package)/usr/$$target/lib/libiberty.a && \
+		$$target-strip --strip-unneeded $(top_dir)/debian/$(package)/usr/lib/gcc/$$target/$(target_version)/lib*.a; \
+	done
+endif
 	dh_lintian
 	dh_compress
 	dh_fixperms
