=== debian/watch ===
version=3
http://ftp.debian.org/debian/pool/main/g/gcc-4.6/gcc-4\.6_(.*)\.orig\.tar\.gz
