## gcc-mingw-w64 0.3ubuntu1

=== debian/changelog ===
gcc-mingw-w64 (0.3ubuntu1) oneiric; urgency=low

  * Stop trying to ship libiberty, upstream no longer supports it.
    LP: #836841.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Aug 2011 02:31:53 +0200
