## gcc-mingw-w64 1

=== debian/changelog ===
gcc-mingw-w64 (1) unstable; urgency=low

  * Include Ada support (Closes: #632375). Build-depend on gcc-4.6-source
    4.6.1-5 or later to get the required upstream fixes.
  * Stop trying to ship libiberty, upstream no longer supports it
    (Closes: #634567).
  * Protect intrinsics in C++ code (Closes: #633552).
  * Provide shared versions of DLL-compatible libraries (Closes:
    #625778). The appropriate DLLs may have to be shipped with the
    resulting binaries, unless static build options are used (-static,
    -static-libgcc and/or -static-libstdc++).
  * Re-organise configure flags and update them as used upstream.
  * Switch to single-number versions and add the gcc-mingw-w64 version to
    the resulting binary package's version.
  * Disable hardening with dpkg-dev >= 1.16.1 for now (until the gcc-4.6
    package supports it).
  * Correct uses of "informations" in output code.

 -- Stephen Kitt <steve@sk2.org>  Wed, 28 Sep 2011 11:06:53 +0200
