=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,8 @@
 upstream_dir := $(top_dir)/src
 build_dir := $(top_dir)/build
 stampdir := $(top_dir)/stamp
-deb_version := $(shell dpkg-query -W -f="\$${Version}\n" gcc-$(target_version)-source)
+source_version := $(shell dpkg-query -W -f="\$${Version}\n" gcc-$(target_version)-source)
+deb_version := $(source_version)+$(shell dpkg-parsechangelog | sed -ne "s/^Version: \(.*\)/\1/p")
 deb_upstream_version := $(shell echo $(deb_version) | cut -d- -f1)
 base_version := $(shell echo $(deb_version) | sed -e 's/\([1-9]\.[0-9]\).*-.*/\1/')
 
@@ -24,10 +25,13 @@
 
 targets := i686-w64-mingw32 x86_64-w64-mingw32
 
-CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
+# No hardening support for now
+dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=-all" dpkg-buildflags
+
+CFLAGS = $(shell $(dpkg_buildflags) --get CFLAGS)
 CFLAGS += -Wall
 export CFLAGS
-LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
+LDFLAGS = $(shell $(dpkg_buildflags) --get LDFLAGS)
 LDFLAGS += -Wl,--as-needed
 export LDFLAGS
 
@@ -69,6 +73,8 @@
 	rm -rf $(upstream_dir)
 	mv gcc-$(deb_upstream_version) $(upstream_dir)
 	# Apply our extra patches here...
+	# We can't use a separate target for this because the patches
+	# need to be applied before gcc-4.6-source's
 	patch -p0 < debian/patches/mingw-include.patch
 	patch -p0 < debian/patches/disable-multilib.patch
 	mkdir -p $(stampdir)
@@ -86,42 +92,52 @@
 libexecdir=$(PF)/$(libdir)
 
 # Standard Debian configuration flags
-# TODO Re-enable shared, multilib and linker-build-id
 CONFFLAGS = \
 	--prefix=/$(PF) \
-	--disable-shared \
+	--enable-shared \
+	--enable-static \
 	--disable-multilib \
 	--enable-linker-build-id \
 	--with-system-zlib \
 	--libexecdir=/$(libexecdir) \
-	--without-included-gettext
-CONFFLAGS += \
+	--without-included-gettext \
 	--libdir=/$(PF)/$(libdir) \
 	--enable-libstdcxx-time=yes \
 	--with-tune=generic
 # MinGW-w64 flags
-CONFFLAGS += \
-	--enable-version-specific-runtime-libs
 # version-specific-runtime-libs puts target-specific libraries in
 # /usr/lib/gcc rather than /usr/$(target)
+CONFFLAGS += \
+	--enable-version-specific-runtime-libs \
+	--enable-threads=win32 \
+	--enable-fully-dynamic-string \
+	--enable-sjlj-exceptions
+# libgomp needs pthreads
+#	--enable-libgomp
 # Languages
 CONFFLAGS += \
 	--enable-languages=$(languages)
-#CONFFLAGS = --disable-shared --disable-multilib --prefix=/usr --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-languages=c,c++,fortran --with-gnu-ld --with-gnu-as --enable-leading-mingw64-underscores
 # LTO
 CONFFLAGS += \
 	--enable-lto \
 	--with-plugin-ld
-# Dynamic strings (as used upstream)
-CONFFLAGS += \
-	--enable-fully-dynamic-string
+
+# Patches applied or unapplied after the upstream sources have been
+# unpacked and patched using the gcc-4.6-source package's patches
+mingw-w64-patch: mingw-w64-patch-stamp
+mingw-w64-patch-stamp: $(patch_stamp)
+	# Remove the patch building libstdc++_pic.a before configuring
+	patch -R -p2 -d$(upstream_dir) < $(gcc_dir)/debian/patches/libstdc++-pic.diff
+	# Add extern "C" blocks around intrinsics
+	patch -p1 -d$(upstream_dir) < debian/patches/cpp-intrinsics.patch
+	# Spelling fixes
+	patch -p2 -d$(upstream_dir) < debian/patches/spelling-fixes-code.patch
+	touch $@
 
 configure: configure-stamp
-configure-stamp: $(patch_stamp)
+configure-stamp: mingw-w64-patch-stamp
 	dh_testdir
 	set -e; \
-	# Remove the patch building libstdc++_pic.a before configuring
-	patch -R -p2 -dsrc < $(gcc_dir)/debian/patches/libstdc++-pic.diff
 	for target in $(targets); do \
 		dh_auto_configure -B$(build_dir)/$$target -D$(upstream_dir) -- \
 			$(CONFFLAGS) \
@@ -182,6 +198,16 @@
 		fi; \
 	done
 
+	# Move misplaced DLLs and libraries
+	for target in $(targets); do \
+		if [ -f $(top_dir)/debian/$(package)/usr/lib/gcc/$$target/lib/*.a ]; then \
+			mv $(top_dir)/debian/$(package)/usr/lib/gcc/$$target/lib/*.a $(top_dir)/debian/$(package)/usr/lib/gcc/$$target/$(base_version)/; \
+		fi; \
+		if [ -f $(top_dir)/debian/$(package)/usr/lib/gcc/$$target/*.dll ]; then \
+			mv $(top_dir)/debian/$(package)/usr/lib/gcc/$$target/*.dll $(top_dir)/debian/$(package)/usr/lib/gcc/$$target/$(base_version)/; \
+		fi; \
+	done
+
 	for i in 1 2; do \
 		find $(top_dir)/debian/$(package)/ -type d -empty | while read i; do rmdir $$i; done; \
 	done
@@ -196,23 +222,12 @@
 	dh_installman
 	dh_installchangelogs $(upstream_dir)/ChangeLog
 	# Strip the binaries
-	dh_strip -Xw64-mingw32/lib -Xw64-mingw32/$(base_version)/lib
+	dh_strip -Xw64-mingw32/lib -Xw64-mingw32/$(base_version)/lib -Xw64-mingw32/$(base_version)/adalib
 	# Special processing for the libraries
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
 	strip --remove-section=.comment --remove-section=.note --strip-unneeded $(patsubst %,$(top_dir)/debian/$(package)/usr/lib/gcc/%/$(target_version)/liblto_plugin.so.0.0.0,$(targets))
 	for target in $(targets); do \
-		$$target-strip --strip-unneeded $(top_dir)/debian/$(package)/usr/lib/gcc/$$target/$(target_version)/lib*.a; \
+		$$target-strip --strip-unneeded $(top_dir)/debian/$(package)/usr/lib/gcc/$$target/$(target_version)/lib*.a $(top_dir)/debian/$(package)/usr/lib/gcc/$$target/$(target_version)/adalib/lib*.a; \
 	done
 endif
 	dh_lintian
-	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol -- -v$(deb_version) -Vlocal:Version=$(deb_upstream_version)
-	dh_md5sums
-	dh_builddeb
-
-binary: binary-indep binary-arch
-
-.PHONY: binary-indep binary-arch binary clean build install
