## gcc-mingw-w64 2

=== debian/changelog ===
gcc-mingw-w64 (2) unstable; urgency=low

  * Export all relevant flags from dpkg-buildflags; in particular this
    allows building with a stack-protector-enabling compiler (as on
    Ubuntu).

 -- Stephen Kitt <steve@sk2.org>  Mon, 24 Oct 2011 01:18:56 +0200
