=== debian/rules ===
--- 
+++ 
@@ -31,6 +31,13 @@
 CFLAGS = $(shell $(dpkg_buildflags) --get CFLAGS)
 CFLAGS += -Wall
 export CFLAGS
+CPPFLAGS = $(shell $(dpkg_buildflags) --get CPPFLAGS)
+export CPPFLAGS
+CXXFLAGS = $(shell $(dpkg_buildflags) --get CXXFLAGS)
+CXXFLAGS += -Wall
+export CXXFLAGS
+FFLAGS = $(shell $(dpkg_buildflags) --get FFLAGS)
+export FFLAGS
 LDFLAGS = $(shell $(dpkg_buildflags) --get LDFLAGS)
 LDFLAGS += -Wl,--as-needed
 export LDFLAGS
@@ -227,7 +234,3 @@
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
 	strip --remove-section=.comment --remove-section=.note --strip-unneeded $(patsubst %,$(top_dir)/debian/$(package)/usr/lib/gcc/%/$(target_version)/liblto_plugin.so.0.0.0,$(targets))
 	for target in $(targets); do \
-		$$target-strip --strip-unneeded $(top_dir)/debian/$(package)/usr/lib/gcc/$$target/$(target_version)/lib*.a $(top_dir)/debian/$(package)/usr/lib/gcc/$$target/$(target_version)/adalib/lib*.a; \
-	done
-endif
-	dh_lintian
