## gcc-mingw-w64 3

=== debian/changelog ===
gcc-mingw-w64 (3) unstable; urgency=low

  * Disable Ada support on armhf and hurd-i386 for now, based on a patch
    by Peter Green (Closes: #658526).
  * Wrap-and-sort debian/control.full.
  * Check before moving libraries, when bootstrapping there is nothing
    to move.
  * Update debian/control.bootstrap with changes made to
    debian/control.full.
  * Add spelling fix for "writting".

 -- Stephen Kitt <steve@sk2.org>  Sun, 12 Feb 2012 23:24:00 +0100
