=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 # Build gcc-mingw-w64 using gcc-4.6-source.
-# Copyright © 2010 Stephen Kitt <steve@sk2.org>
+# Copyright © 2010-2012 Stephen Kitt <steve@sk2.org>
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -194,16 +194,18 @@
 	find $(top_dir)/debian/$(package) -name \*.la -delete
 
 	# Move libraries to base directories and add version-specific links
-	for gnu_upstream_version in $$(basename debian/gcc-mingw-w64/usr/share/gcc-*|cut -d- -f2); do \
-		if [ "$$gnu_upstream_version" != "$(base_version)" ]; then \
-			[ -d $(top_dir)/debian/$(package)/usr/include/c++ ] && cd $(top_dir)/debian/$(package)/usr/include/c++ && ln -s $(base_version) $$gnu_upstream_version || true; \
-			for target in $(targets); do \
-				cd $(top_dir)/debian/$(package)/$(PF)/lib/gcc/$$target && \
-				mv $$gnu_upstream_version $(base_version) && \
-				ln -s $(base_version) $$gnu_upstream_version; \
-			done; \
-		fi; \
-	done
+	if [ "$$(basename debian/$(package)/usr/share/gcc-*)" != "gcc-*" ]; then \
+		for gnu_upstream_version in $$(basename debian/$(package)/usr/share/gcc-*|cut -d- -f2); do \
+			if [ "$$gnu_upstream_version" != "$(base_version)" ]; then \
+				[ -d $(top_dir)/debian/$(package)/usr/include/c++ ] && cd $(top_dir)/debian/$(package)/usr/include/c++ && ln -s $(base_version) $$gnu_upstream_version || true; \
+				for target in $(targets); do \
+					cd $(top_dir)/debian/$(package)/$(PF)/lib/gcc/$$target && \
+					mv $$gnu_upstream_version $(base_version) && \
+					ln -s $(base_version) $$gnu_upstream_version; \
+				done; \
+			fi; \
+		done; \
+	fi
 
 	# Move misplaced DLLs and libraries
 	for target in $(targets); do \
@@ -232,5 +234,3 @@
 	dh_strip -Xw64-mingw32/lib -Xw64-mingw32/$(base_version)/lib -Xw64-mingw32/$(base_version)/adalib
 	# Special processing for the libraries
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
-	strip --remove-section=.comment --remove-section=.note --strip-unneeded $(patsubst %,$(top_dir)/debian/$(package)/usr/lib/gcc/%/$(target_version)/liblto_plugin.so.0.0.0,$(targets))
-	for target in $(targets); do \
