## gcc-mingw-w64 5ubuntu1

=== debian/changelog ===
gcc-mingw-w64 (5ubuntu1) precise; urgency=low

  * Sync on Debian (FFe: LP: #986772)
  * Change Breaks/Replaces version to 4.6.3-1ubuntu5+5 since gcc is frozen for
    the moment, this change can be dropped after 12.04
    - update debian/control* 

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 22 Apr 2012 00:09:16 -0500

gcc-mingw-w64 (5) unstable; urgency=low

  * Add the DMUA flag set by Didier Raboud to the control.source file.
  * Add a warning to the generated debian/control file indicating that
    it shouldn't be modified directly.
  * Fix the version for Breaks/Replaces at 4.6.3-3+4, since this is the
    earliest version of the post-split package in the archive. Fixing
    the version avoids making the package set uninstallable.

 -- Stephen Kitt <steve@sk2.org>  Wed, 18 Apr 2012 15:04:47 +0200

gcc-mingw-w64 (4) unstable; urgency=low

  [ Stephen Kitt ]
  * Split package into gcc, g++, gfortran and gnat packages.
  * Enable the Objective-C and Objective-C++ compilers.
  * Split package into 32- and 64-bit specific versions (-i686 and
    -x86-64) - see thread starting at
    http://lists.debian.org/4EBA730A.7060707@greffrath.com for rationale.
  * Build with gcc-4.6 explicitly, at least until gnat-4.7 is available
    (Closes: #667173).
  * Standards-Version 3.9.3, no change required.
  * Provide a transitional gcc-mingw32 package for backwards-
    compatibility (Closes: #644769); in addition, with regards to bugs
    filed against gcc-mingw32:
    - gcc-mingw-w64's version of mm_malloc.h is correct (Closes: #651300);
    - gcc-mingw-w64 compiles programs (Closes: #658619);
    - gcc-mingw-w64 provides shared versions of libgcc and libstdc++
      (Closes: #540783);
    - the packages' dependency structure ensures that the various compiler
      packages depend on the appropriate development packages (Closes:
      #567698).
  * Update debian/copyright using the version provided by gcc-4.6.

  [ Didier Raboud ]
  * Confidently set the DM-Upload-Allowed flag to yes.

 -- Stephen Kitt <steve@sk2.org>  Mon, 16 Apr 2012 08:46:45 +0200
