=== debian/control ===
# This file is generated using debian/rules control, do not edit
Source: gcc-mingw-w64
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stephen Kitt <steve@sk2.org>
DM-Upload-Allowed: yes
Build-Depends: autotools-dev,
               binutils-mingw-w64 (>= 2.21.51.20110523),
               debhelper (>= 7.0.50~),
               gcc-4.6 (>= 4.6.2-2),
               gcc-4.6-source (>= 4.6.2-2),
               gnat-4.6 [!armhf !hurd-i386],
               libcloog-ppl-dev,
               libelf-dev,
               libgmp-dev,
               libmpc-dev (>= 0.8.0),
               libmpfr-dev (>= 2.3.2),
               mingw-w64-dev (>= 1.0),
               xz-utils,
               zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://www.gnu.org/software/gcc/
Vcs-Git: git://git.debian.org/collab-maint/gcc-mingw-w64.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gcc-mingw-w64.git;a=summary

Package: gcc-mingw-w64
Architecture: all
Depends: gcc-mingw-w64-i686, gcc-mingw-w64-x86-64, ${misc:Depends}
Built-Using: gcc-4.6 (= ${gcc:Version})
Description: GNU C compiler for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the C compiler, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets.

Package: gcc-mingw-w64-i686
Architecture: any
Depends: binutils-mingw-w64-i686, mingw-w64-i686-dev | mingw-w64-dev, gcc-mingw-w64-base (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: gcc-4.6 (= ${gcc:Version})
Conflicts: gcc-mingw-w64-bootstrap
Breaks: gcc-mingw-w64 (<< 4.6.3-1ubuntu5+5)
Replaces: gcc-mingw-w64 (<< 4.6.3-1ubuntu5+5), gcc-mingw-w64-bootstrap
Suggests: gcc-4.6-locales (>= ${local:Version})
Description: GNU C compiler for MinGW-w64 targeting Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the C compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets.

Package: gcc-mingw-w64-x86-64
Architecture: any
Depends: binutils-mingw-w64-x86-64, mingw-w64-x86-64-dev | mingw-w64-dev, gcc-mingw-w64-base (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: gcc-4.6 (= ${gcc:Version})
Conflicts: gcc-mingw-w64-bootstrap
Breaks: gcc-mingw-w64 (<< 4.6.3-1ubuntu5+5)
Replaces: gcc-mingw-w64 (<< 4.6.3-1ubuntu5+5), gcc-mingw-w64-bootstrap
Suggests: gcc-4.6-locales (>= ${local:Version})
Description: GNU C compiler for MinGW-w64 targeting Win64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the C compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets.

Package: g++-mingw-w64
Architecture: all
Depends: g++-mingw-w64-i686, g++-mingw-w64-x86-64, ${misc:Depends}
Built-Using: gcc-4.6 (= ${gcc:Version})
Description: GNU C++ compiler for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the C++ compiler, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets.

Package: g++-mingw-w64-i686
Architecture: any
Depends: gcc-mingw-w64-i686 (= ${binary:Version}), libstdc++6-4.6-dev (>= ${local:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: gcc-4.6 (= ${gcc:Version})
Breaks: gcc-mingw-w64 (<< 4.6.3-1ubuntu5+5)
Replaces: gcc-mingw-w64 (<< 4.6.3-1ubuntu5+5)
Suggests: gcc-4.6-locales (>= ${local:Version})
Description: GNU C++ compiler for MinGW-w64 targeting Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the C++ compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets.

Package: g++-mingw-w64-x86-64
Architecture: any
Depends: gcc-mingw-w64-x86-64 (= ${binary:Version}), libstdc++6-4.6-dev (>= ${local:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: gcc-4.6 (= ${gcc:Version})
Breaks: gcc-mingw-w64 (<< 4.6.3-1ubuntu5+5)
Replaces: gcc-mingw-w64 (<< 4.6.3-1ubuntu5+5)
Suggests: gcc-4.6-locales (>= ${local:Version})
Description: GNU C++ compiler for MinGW-w64 targeting Win64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the C++ compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets.

Package: gfortran-mingw-w64
Architecture: all
Depends: gfortran-mingw-w64-i686, gfortran-mingw-w64-x86-64, ${misc:Depends}
Built-Using: gcc-4.6 (= ${gcc:Version})
Description: GNU Fortran compiler for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the Fortran compiler, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets.

Package: gfortran-mingw-w64-i686
Architecture: any
Depends: gcc-mingw-w64-i686 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: gcc-4.6 (= ${gcc:Version})
Breaks: gcc-mingw-w64 (<< 4.6.3-1ubuntu5+5)
Replaces: gcc-mingw-w64 (<< 4.6.3-1ubuntu5+5)
Suggests: gcc-4.6-locales (>= ${local:Version})
Description: GNU Fortran compiler for MinGW-w64 targeting Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Fortran compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets.

Package: gfortran-mingw-w64-x86-64
Architecture: any
Depends: gcc-mingw-w64-x86-64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: gcc-4.6 (= ${gcc:Version})
Breaks: gcc-mingw-w64 (<< 4.6.3-1ubuntu5+5)
Replaces: gcc-mingw-w64 (<< 4.6.3-1ubuntu5+5)
Suggests: gcc-4.6-locales (>= ${local:Version})
Description: GNU Fortran compiler for MinGW-w64 targeting Win64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Fortran compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets.

Package: gobjc-mingw-w64
Architecture: all
Depends: gobjc-mingw-w64-i686, gobjc-mingw-w64-x86-64, ${misc:Depends}
Built-Using: gcc-4.6 (= ${gcc:Version})
Description: GNU Objective-C compiler for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the Objective-C compiler, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets.

Package: gobjc-mingw-w64-i686
Architecture: any
Depends: gcc-mingw-w64-i686 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: gcc-4.6 (= ${gcc:Version})
Suggests: gcc-4.6-locales (>= ${local:Version})
Description: GNU Objective-C compiler for MinGW-w64 targeting Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Objective-C compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets.

Package: gobjc-mingw-w64-x86-64
Architecture: any
Depends: gcc-mingw-w64-x86-64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: gcc-4.6 (= ${gcc:Version})
Suggests: gcc-4.6-locales (>= ${local:Version})
Description: GNU Objective-C compiler for MinGW-w64 targeting Win64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Objective-C compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets.

Package: gobjc++-mingw-w64
Architecture: all
Depends: gobjc++-mingw-w64-i686, gobjc++-mingw-w64-x86-64, ${misc:Depends}
Built-Using: gcc-4.6 (= ${gcc:Version})
Description: GNU Objective-C++ compiler for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the Objective-C++ compiler, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets.

Package: gobjc++-mingw-w64-i686
Architecture: any
Depends: gobjc-mingw-w64-i686 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: gcc-4.6 (= ${gcc:Version})
Suggests: gcc-4.6-locales (>= ${local:Version})
Description: GNU Objective-C++ compiler for MinGW-w64 targeting Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Objective-C++ compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets.

Package: gobjc++-mingw-w64-x86-64
Architecture: any
Depends: gobjc-mingw-w64-x86-64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: gcc-4.6 (= ${gcc:Version})
Suggests: gcc-4.6-locales (>= ${local:Version})
Description: GNU Objective-C++ compiler for MinGW-w64 targeting Win64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Objective-C++ compiler, supporting
 cross-compiling to 64-bit MinGW-w64 targets.

Package: gnat-mingw-w64
Architecture: all
Depends: gnat-mingw-w64-i686, gnat-mingw-w64-x86-64, ${misc:Depends}
Built-Using: gcc-4.6 (= ${gcc:Version})
Description: GNU Ada compiler for MinGW-w64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This metapackage provides the Ada compiler, supporting
 cross-compiling to 32- and 64-bit MinGW-w64 targets.

Package: gnat-mingw-w64-i686
Architecture: any
Depends: gcc-mingw-w64-i686 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: gcc-4.6 (= ${gcc:Version})
Breaks: gcc-mingw-w64 (<< 4.6.3-1ubuntu5+5)
Replaces: gcc-mingw-w64 (<< 4.6.3-1ubuntu5+5)
Suggests: gcc-4.6-locales (>= ${local:Version})
Description: GNU Ada compiler for MinGW-w64 targeting Win32
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Ada compiler, supporting
 cross-compiling to 32-bit MinGW-w64 targets.

Package: gnat-mingw-w64-x86-64
Architecture: any
Depends: gcc-mingw-w64-x86-64 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: gcc-4.6 (= ${gcc:Version})
Breaks: gcc-mingw-w64 (<< 4.6.3-1ubuntu5+5)
Replaces: gcc-mingw-w64 (<< 4.6.3-1ubuntu5+5)
Suggests: gcc-4.6-locales (>= ${local:Version})
Description: GNU Ada compiler for MinGW-w64 targeting Win64
 MinGW-w64 provides a development and runtime environment for 32- and
 64-bit (x86 and x64) Windows applications using the Windows API and
 the GNU Compiler Collection (gcc).
 .
 This package contains the Ada compiler, supporting
