=== debian/rules ===
--- 
+++ 
@@ -28,19 +28,17 @@
 # No hardening support for now
 dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=-all" dpkg-buildflags
 
+CC = gcc-4.6
+CXX = g++-4.6
 CFLAGS = $(shell $(dpkg_buildflags) --get CFLAGS)
 CFLAGS += -Wall
-export CFLAGS
 CPPFLAGS = $(shell $(dpkg_buildflags) --get CPPFLAGS)
-export CPPFLAGS
 CXXFLAGS = $(shell $(dpkg_buildflags) --get CXXFLAGS)
 CXXFLAGS += -Wall
-export CXXFLAGS
 FFLAGS = $(shell $(dpkg_buildflags) --get FFLAGS)
-export FFLAGS
 LDFLAGS = $(shell $(dpkg_buildflags) --get LDFLAGS)
 LDFLAGS += -Wl,--as-needed
-export LDFLAGS
+export CC CXX CFLAGS CPPFLAGS CXXFLAGS FFLAGS LDFLAGS
 
 # Number of jobs to run for build
 ifeq ($(USE_NJOBS),no)
@@ -87,10 +85,10 @@
 	mkdir -p $(stampdir)
 	touch $@
 
-clean:
+clean: control
 	dh_testdir
 	dh_testroot
-	rm -rf $(stampdir) $(build_dir) $(upstream_dir) .pc autotools_files series
+	rm -rf $(stampdir) $(build_dir) $(upstream_dir) .pc autotools_files series *-stamp
 	dh_clean
 
 # Configuration constructed as in the gcc package
@@ -142,9 +140,12 @@
 	touch $@
 
 configure: configure-stamp
-configure-stamp: mingw-w64-patch-stamp
+configure-stamp: control-stamp mingw-w64-patch-stamp
 	dh_testdir
 	set -e; \
+	echo ============= Building with the following debian/control =============
+	cat debian/control
+	echo ======================================================================
 	for target in $(targets); do \
 		dh_auto_configure -B$(build_dir)/$$target -D$(upstream_dir) -- \
 			$(CONFFLAGS) \
@@ -155,51 +156,55 @@
 	done
 	touch $@
 
-build: build-stamp
-build-stamp: configure-stamp
+build: build-arch build-indep
+build-arch: build-arch-stamp
+build-arch-stamp: configure-stamp
 	dh_testdir
 	set -e; \
 	for target in $(targets); do \
 		cd $(build_dir)/$$target && $(MAKE) $(NJOBS) $(BUILD_TARGET); \
 	done
 	touch $@
-
-install: install-stamp
-install-stamp: build-stamp
+build-indep: build-indep-stamp
+build-indep-stamp:
+	touch $@
+
+install-arch: install-arch-stamp
+install-arch-stamp: build-arch-stamp
 	dh_testdir
 	dh_testroot
 	dh_prep
 	set -e; \
 	for target in $(targets); do \
-		cd $(build_dir)/$$target && $(MAKE) DESTDIR=$(top_dir)/debian/$(package) $(INSTALL_TARGET); \
+		cd $(build_dir)/$$target && $(MAKE) DESTDIR=$(top_dir)/debian/tmp $(INSTALL_TARGET); \
 	done
 
 	# Remove files which conflict with other packages
 	# gcc-$(target_version)-locales
-	rm -rf $(top_dir)/debian/$(package)/usr/share/locale
+	rm -rf $(top_dir)/debian/tmp/usr/share/locale
 	# binutils-dev
-	rm -f $(top_dir)/debian/$(package)/usr/lib/libiberty.a
+	rm -f $(top_dir)/debian/tmp/usr/lib/libiberty.a
 	# libstdc++6-$(target_version)-dbg (potentially)
-	rm -rf $(top_dir)/debian/$(package)/usr/share/gcc-*/python
+	rm -rf $(top_dir)/debian/tmp/usr/share/gcc-*/python
 	# libstdc++6-$(target_version)-dev
-	ls -1 $(top_dir)/debian/$(package)/usr/include/c++/$(base_version)/|grep -v w64-mingw32|xargs -I{} rm -rf $(top_dir)/debian/$(package)/usr/include/c++/$(base_version)/{}
+	ls -1 $(top_dir)/debian/tmp/usr/include/c++/$(base_version)/|grep -v w64-mingw32|xargs -I{} rm -rf $(top_dir)/debian/tmp/usr/include/c++/$(base_version)/{}
 	# -doc packages
-	rm -rf $(top_dir)/debian/$(package)/usr/share/info
-	rm -rf $(top_dir)/debian/$(package)/usr/share/man/man7
+	rm -rf $(top_dir)/debian/tmp/usr/share/info
+	rm -rf $(top_dir)/debian/tmp/usr/share/man/man7
 
 	# No need to ship empty manpages
-	rm -rf $(top_dir)/debian/$(package)/usr/share/man/man1
+	rm -rf $(top_dir)/debian/tmp/usr/share/man/man1
 
 	# Drop .la files
-	find $(top_dir)/debian/$(package) -name \*.la -delete
+	find $(top_dir)/debian/tmp -name \*.la -delete
 
 	# Move libraries to base directories and add version-specific links
-	if [ "$$(basename debian/$(package)/usr/share/gcc-*)" != "gcc-*" ]; then \
-		for gnu_upstream_version in $$(basename debian/$(package)/usr/share/gcc-*|cut -d- -f2); do \
+	if [ "$$(basename debian/tmp/usr/share/gcc-*)" != "gcc-*" ]; then \
+		for gnu_upstream_version in $$(basename debian/tmp/usr/share/gcc-*|cut -d- -f2); do \
 			if [ "$$gnu_upstream_version" != "$(base_version)" ]; then \
-				[ -d $(top_dir)/debian/$(package)/usr/include/c++ ] && cd $(top_dir)/debian/$(package)/usr/include/c++ && ln -s $(base_version) $$gnu_upstream_version || true; \
+				[ -d $(top_dir)/debian/tmp/usr/include/c++ ] && cd $(top_dir)/debian/tmp/usr/include/c++ && ln -s $(base_version) $$gnu_upstream_version || true; \
 				for target in $(targets); do \
-					cd $(top_dir)/debian/$(package)/$(PF)/lib/gcc/$$target && \
+					cd $(top_dir)/debian/tmp/$(PF)/lib/gcc/$$target && \
 					mv $$gnu_upstream_version $(base_version) && \
 					ln -s $(base_version) $$gnu_upstream_version; \
 				done; \
@@ -209,28 +214,27 @@
 
 	# Move misplaced DLLs and libraries
 	for target in $(targets); do \
-		if [ -f $(top_dir)/debian/$(package)/usr/lib/gcc/$$target/lib/*.a ]; then \
-			mv $(top_dir)/debian/$(package)/usr/lib/gcc/$$target/lib/*.a $(top_dir)/debian/$(package)/usr/lib/gcc/$$target/$(base_version)/; \
+		if [ -f $(top_dir)/debian/tmp/usr/lib/gcc/$$target/lib/*.a ]; then \
+			mv $(top_dir)/debian/tmp/usr/lib/gcc/$$target/lib/*.a $(top_dir)/debian/tmp/usr/lib/gcc/$$target/$(base_version)/; \
 		fi; \
-		if [ -f $(top_dir)/debian/$(package)/usr/lib/gcc/$$target/*.dll ]; then \
-			mv $(top_dir)/debian/$(package)/usr/lib/gcc/$$target/*.dll $(top_dir)/debian/$(package)/usr/lib/gcc/$$target/$(base_version)/; \
+		if [ -f $(top_dir)/debian/tmp/usr/lib/gcc/$$target/*.dll ]; then \
+			mv $(top_dir)/debian/tmp/usr/lib/gcc/$$target/*.dll $(top_dir)/debian/tmp/usr/lib/gcc/$$target/$(base_version)/; \
 		fi; \
 	done
 
 	for i in 1 2; do \
-		find $(top_dir)/debian/$(package)/ -type d -empty | while read i; do rmdir $$i; done; \
-	done
-
-	touch $@
-
-binary-indep:
-binary-arch: build install
+		find $(top_dir)/debian/tmp/ -type d -empty | while read i; do rmdir $$i; done; \
+	done
+
+	touch $@
+
+binary-indep: build-indep
 	dh_testdir
 	dh_testroot
-	dh_installdocs
-	dh_installman
-	dh_installchangelogs $(upstream_dir)/ChangeLog
-	# Strip the binaries
-	dh_strip -Xw64-mingw32/lib -Xw64-mingw32/$(base_version)/lib -Xw64-mingw32/$(base_version)/adalib
-	# Special processing for the libraries
-ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
+	dh_installdocs -i --link-doc=gcc-mingw-w64-base
+	dh_installchangelogs -i $(upstream_dir)/ChangeLog
+	dh_lintian -i
+	dh_link -i
+	dh_compress -i
+	dh_fixperms -i
+	dh_installdeb -i
