## gcc-mingw-w64 6

=== debian/changelog ===
gcc-mingw-w64 (6) unstable; urgency=low

  * Handle the different split-package versions in Ubuntu and Debian.
  * Add transitional "Recommends" so that gcc-mingw-w64 pulls in the
    compilers it used to provide (LP: #992217).
  * Make gcc-mingw32 install compatibility symlinks for binaries and
    manpages formerly provided by mingw32-binutils (LP: #992161).
  * Enable Ada support on armhf and hurd-i386 now that gnat-4.6 is
    available there.

 -- Stephen Kitt <steve@sk2.org>  Sat, 05 May 2012 12:33:32 +0200
